//+------------------------------------------------------------------+
//|                                                   cand_color.mq5 |
//|                                                             ProF |
//|                                                          http:// |
//+------------------------------------------------------------------+
#property copyright "ProF"                      //
#property indicator_chart_window                //   

                                                //    
//4     + 1    + 1      RSI
#property indicator_buffers 6

//    Data Window
#property indicator_label1 "Open;High;Low;Close"

#property indicator_plots 1                     //  
#property indicator_type1 DRAW_COLOR_CANDLES    //  () -  
#property indicator_width1 3                    //   (,  )

                                                // 
double buffer_open[],buffer_high[],buffer_low[],buffer_close[];//  
double buffer_color_line[];//   
double buffer_tmp[1];//    RSI
double buffer_RSI[];//   RSI
int handle_rsi=0;//   RSI
//+------------------------------------------------------------------+
//|                                                     |
//+------------------------------------------------------------------+
int OnInit()
  {
/**
        *            -  !
        *    () 
        *         
        *          ()   .
        */
// -    
   SetIndexBuffer(0,buffer_open,INDICATOR_DATA);
   SetIndexBuffer(1,buffer_high,INDICATOR_DATA);
   SetIndexBuffer(2,buffer_low,INDICATOR_DATA);
   SetIndexBuffer(3,buffer_close,INDICATOR_DATA);

// -     
   SetIndexBuffer(4,buffer_color_line,INDICATOR_COLOR_INDEX);

//      RSI
   SetIndexBuffer(5,buffer_RSI,INDICATOR_CALCULATIONS);

//      
   PlotIndexSetInteger(0,PLOT_COLOR_INDEXES,2);

//    
   PlotIndexSetInteger(0,PLOT_LINE_COLOR,0,Blue);   //  -> 
   PlotIndexSetInteger(0,PLOT_LINE_COLOR,1,Orange); //   -> 
   

//   RSI,      
   handle_rsi=iCustom(_Symbol,_Period,"Examples\\RSI");
   return(0);
  }
//+------------------------------------------------------------------+
//|                                            |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
//          
   for(int i=prev_calculated;i<=rates_total-1;i++)
     {
      //    RSI    - buffer_tmp
      CopyBuffer(handle_rsi,0,BarsCalculated(handle_rsi)-i-1,1,buffer_tmp);
      //       
      buffer_RSI[i]=buffer_tmp[0];

      //   
      buffer_open[i]=open[i];  // 
      buffer_high[i]=high[i];  // 
      buffer_low[i]=low[i];    // 
      buffer_close[i]=close[i];// 

                               //   ->  RSI  50%:
      if(buffer_RSI[i]<50)
        {   buffer_color_line[i]=0;   } //      (0)
      else
        {  buffer_color_line[i]=1;   }  //      (1)
     }
   return(rates_total-1); //   , 
                          //     
  }
//+------------------------------------------------------------------+