//+------------------------------------------------------------------+
//|                                         test_color_indicator.mq5 |
//|                                                             ProF |
//|                                                          http:// |
//+------------------------------------------------------------------+
#property copyright "ProF"                      //
#property indicator_separate_window             //   
#property indicator_buffers 2                   //  
#property indicator_plots 1                     //  
#property indicator_type1 DRAW_COLOR_HISTOGRAM  //  () - 
#property indicator_width1 3                    //   (,  )
#property indicator_color1 Red,Green,BlueViolet //     

// 
double buffer_line[]/*  */, buffer_color_line[]/*   */;

//+------------------------------------------------------------------+
//|                                                     |
//+------------------------------------------------------------------+
int OnInit()
  {

// -    
   SetIndexBuffer(0,buffer_line,INDICATOR_DATA);

// -     
   SetIndexBuffer(1,buffer_color_line,INDICATOR_COLOR_INDEX);

//      
   PlotIndexSetInteger(0,PLOT_COLOR_INDEXES,2);

//    
   PlotIndexSetInteger(0,PLOT_LINE_COLOR,0,Blue);   //  -> 
   PlotIndexSetInteger(0,PLOT_LINE_COLOR,1,Orange); //   -> 
   return(0);
  }
//+------------------------------------------------------------------+
//|                                            |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
   //          
   for(int i=prev_calculated;i<=rates_total-1;i++)
     {
      //    ->       :
      if(open[i]>close[i])
        {   buffer_color_line[i]=0;   }       //      (0)
      else
        {  buffer_color_line[i]=1;   }       //      (1)
      
      //   ,      
      buffer_line[i]=open[i];
     }

   return(rates_total-1); //   , 
                         //     
  }
//+------------------------------------------------------------------+
